@17140@
@13830@
@13245@
@13635@
@13440@
@13245@

Modified by Robert H”hne to be used for RHIDE.

@13245@
@13245@
@14024@

@16101@
@15123@

@20458@
@23372@
@09908@
@24151@

@20457@
@23372@
@09907@
@24151@

@21937@

@19818@
unsigned short ctrlToArrow( unsigned short );
char getAltChar( unsigned short keyCode );
unsigned short getAltCode( char ch );

unsigned short historyCount( unsigned char id );
const char *historyStr( unsigned char id, int index );
void historyAdd( unsigned char id, const char * );

@20777@

@20105@
void *message( TView *receiver, unsigned short what, unsigned short command,
               void *infoPtr );
@19144@

@19799@

@19131@

@19135@

@19146@

@19148@

@21947@

#ifndef __DJGPP__ /* some usefull functions from DJGPP */
void _fixpath(const char *in,char *out);
int __file_exists(const char *fname);
@15582@

@19142@

/* Returns True, if the path is not absolute (checks only for / or ([a-zA-Z]:/)) */
Boolean relativePath(const char *); // tfiledia.cc

/* extracts from path the directory part and filename part.
   if 'dir' and/or 'file' == NULL, it is not filled.
   The directory will have a trailing slash */
void expandPath(const char *path, char *dir, char *file);

/* The following macro is a little hack to decrease the compile time
   for the TV lib when compiling all the n*.cc files */

#define n(CLASS)                          \
class CLASS                               \
{                                         \
public:                                   \
  static const char * const name;         \
};                                        \
                                          \
const char * const CLASS::name = #CLASS;


/* Here is the keyboard stuff */

/* return nonzero, when a key was pressed */
int rh_kbhit();
/* return the keyboard code (see tkeys.h) */
unsigned short gkey(void);
/* clear the keyboard buffer */
void clear_keybuf();

unsigned short getshiftstate();

/* hold the state of all the shift, alt, ... keys (see tkeys.h) */
extern unsigned short gkey_shifts_flags;
/* return the raw keyboard scancode */
extern unsigned char gkey_raw_value;

/* return the number of ticks (on MSDOS 1 tick is 1/18 sec),
   this is used to compute the double click */
ushort TICKS(void);


@15885@
